Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swt.accessibility
Interface AccessibleTextListener

All Superinterfaces:
  EventListener, org.eclipse.swt.internal.SWTEventListener

All Known Implementing Classes:
  AccessibleTextAdapter

public interface AccessibleTextListener
extends org.eclipse.swt.internal.SWTEventListener

Classes that implement this interface provide methods that deal with the events that are generated when an accessibility client sends a message to a control.

After creating an instance of a class that implements this interface it can be added to a control using the `addAccessibleTextListener` method and removed using the `removeAccessibleTextListener` method. When a client requests information the appropriate method will be invoked.

Note: Accessibility clients use child identifiers to specify whether they want information about a control or one of its children. Child identifiers are increasing integers beginning with 0. The identifier CHILDID_SELF represents the control itself.

Note: This interface is typically used by implementors of a custom control to provide very detailed information about the control instance to accessibility clients.

Since:
  3.0
See Also:
  `AccessibleTextAdapter`, `AccessibleTextEvent`

Method Summary
`void` | `getCaretOffset(AccessibleTextEvent e)` Sent when an accessibility client requests the current character offset of the text caret.
`void` | `getSelectionRange(AccessibleTextEvent e)` Sent when an accessibility client requests the range of the current text selection.

Method Detail

### getCaretOffset

    public void getCaretOffset(AccessibleTextEvent e)

  Sent when an accessibility client requests the current character offset of the text caret.

  Return the caret offset in the `offset` field of the event object.

  Parameters:
    `e` - an event object containing the following fields:
    - childID [IN] - an identifier specifying a child of the control
    - offset [OUT] - the current offset of the text caret

### getSelectionRange

    public void getSelectionRange(AccessibleTextEvent e)

  Sent when an accessibility client requests the range of the current text selection.

  Return the selection start offset and non-negative length in the `offset` and `length` fields of the event object.

  Parameters:
    `e` - an event object containing the following fields:
    - childID [IN] - an identifier specifying a child of the control
    - offset [OUT] - the offset of the current text selection
    - length [OUT] - the length of the current text selection

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.